Skip to main content
GET
/
projects
/
{projectId}
/
environments
Get Live and Sandbox environments by projectId
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/projects/{projectId}/environments \
  --header 'Authorization: Bearer <token>'
{
  "environments": {
    "live": {
      "id": "95b11417-f18f-457f-8804-68e361f9164f",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "sdkVersion": "<string>"
    },
    "sandbox": {
      "id": "95b11417-f18f-457f-8804-68e361f9164f",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "sdkVersion": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

ID of project

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Project environments response

environments
object
required